%define upstream_name    HTML-Mason-PSGIHandler
%define upstream_version 0.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    PSGI handler for HTML::Mason
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI::PSGI)
BuildRequires: perl(HTML::Mason)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
HTML::Mason::PSGIHandler is a PSGI handler for HTML::Mason. It's based on
HTML::Mason::CGIHandler and allows you to process Mason templates on any
web servers that support PSGI.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.530.0-10.mga10
+ Revision: 2199426
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.530.0-9.mga9
+ Revision: 1803966
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.530.0-8.mga8
+ Revision: 1494891
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.530.0-7.mga7
+ Revision: 1268493
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.530.0-6.mga6
+ Revision: 1028236
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.530.0-5.mga6
+ Revision: 937859
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.530.0-4.mga5
+ Revision: 744596
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.530.0-2.mga4
+ Revision: 534658
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 sander85 <sander85> 0.530.0-1.mga4
+ Revision: 478504
- update to 0.53

* Sun Jan 13 2013 umeabot <umeabot> 0.520.0-2.mga3
+ Revision: 368034
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 buchan <buchan> 0.520.0-1.mga2
+ Revision: 194437
- imported package perl-HTML-Mason-PSGIHandler


* Fri Nov 18 2011 Buchan Milne <buchan at mageia dot org 0.520.0-1.mga
- initial mageia release, generated with cpan2dist
